extends GameMap

func _ready():
	tilemaps = [
		$base,
		$cables,
		$floor,
		$walls
	]

func get_occlusion_mask():
	return $walls.create_occlusion_mask()

func get_occlusion_offset():
	return $walls.get_used_rect().position
